## rust-subtle 0.9.0

=== Makefile ===
FEATURES := nightly

doc:
	cargo rustdoc --features "$(FEATURES)" -- --html-in-header docs/assets/rustdoc-include-katex-header.html

doc-internal:
	cargo rustdoc --features "$(FEATURES)" -- --html-in-header docs/assets/rustdoc-include-katex-header.html --document-private-items

=== debian/changelog ===
rust-subtle (0.9.0-1) unstable; urgency=medium

  * Package subtle 0.9.0 from crates.io using debcargo 2.2.7

 -- kpcyrd <git@rxv.cc>  Fri, 21 Sep 2018 23:18:01 +0200

=== debian/control ===
Source: rust-subtle
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 10),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/subtle]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/subtle
Homepage: https://dalek.rs/

Package: librust-subtle-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Provides:
 librust-subtle+bench-dev (= ${binary:Version}),
 librust-subtle+default-dev (= ${binary:Version}),
 librust-subtle+nightly-dev (= ${binary:Version}),
 librust-subtle+std-dev (= ${binary:Version}),
 librust-subtle-0-dev (= ${binary:Version}),
 librust-subtle-0+bench-dev (= ${binary:Version}),
 librust-subtle-0+default-dev (= ${binary:Version}),
 librust-subtle-0+nightly-dev (= ${binary:Version}),
 librust-subtle-0+std-dev (= ${binary:Version}),
 librust-subtle-0.9-dev (= ${binary:Version}),
 librust-subtle-0.9+bench-dev (= ${binary:Version}),
 librust-subtle-0.9+default-dev (= ${binary:Version}),
 librust-subtle-0.9+nightly-dev (= ${binary:Version}),
 librust-subtle-0.9+std-dev (= ${binary:Version}),
 librust-subtle-0.9.0-dev (= ${binary:Version}),
 librust-subtle-0.9.0+bench-dev (= ${binary:Version}),
 librust-subtle-0.9.0+default-dev (= ${binary:Version}),
 librust-subtle-0.9.0+nightly-dev (= ${binary:Version}),
 librust-subtle-0.9.0+std-dev (= ${binary:Version})
Description: Pure-Rust traits and utilities for constant-time cryptography - Rust source code
 This package contains the source for the Rust subtle crate, packaged by
 debcargo for use with cargo and dh-cargo.

## rust-subtle 2.1.1

=== debian/changelog ===
rust-subtle (2.1.1-2) unstable; urgency=medium

  * Team upload.
  * Package subtle 2.1.1 from crates.io using debcargo 2.4.2
  * No-op source-only re-upload for Debian Testing Migration.

 -- Ximin Luo <infinity0@debian.org>  Mon, 27 Jan 2020 22:51:26 +0000

rust-subtle (2.1.1-1) unstable; urgency=medium

  * Package subtle 2.1.1 from crates.io using debcargo 2.4.0

 -- kpcyrd <git@rxv.cc>  Wed, 28 Aug 2019 13:33:16 +0200

=== debian/control ===
Source: rust-subtle
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/subtle]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/subtle
Homepage: https://dalek.rs/

Package: librust-subtle-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Recommends:
 librust-subtle+default-dev (= ${binary:Version})
Provides:
 librust-subtle+i128-dev (= ${binary:Version}),
 librust-subtle+nightly-dev (= ${binary:Version}),
 librust-subtle+std-dev (= ${binary:Version}),
 librust-subtle-2-dev (= ${binary:Version}),
 librust-subtle-2+i128-dev (= ${binary:Version}),
 librust-subtle-2+nightly-dev (= ${binary:Version}),
 librust-subtle-2+std-dev (= ${binary:Version}),
 librust-subtle-2.1-dev (= ${binary:Version}),
 librust-subtle-2.1+i128-dev (= ${binary:Version}),
 librust-subtle-2.1+nightly-dev (= ${binary:Version}),
 librust-subtle-2.1+std-dev (= ${binary:Version}),
 librust-subtle-2.1.1-dev (= ${binary:Version}),
 librust-subtle-2.1.1+i128-dev (= ${binary:Version}),
 librust-subtle-2.1.1+nightly-dev (= ${binary:Version}),
 librust-subtle-2.1.1+std-dev (= ${binary:Version})
Description: Traits and utilities for constant-time cryptography - Rust source code
 This package contains the source for the Rust subtle crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: librust-subtle+default-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-subtle-dev (= ${binary:Version}),
 librust-subtle+std-dev (= ${binary:Version}),
 librust-subtle+i128-dev (= ${binary:Version})
Provides:
 librust-subtle-2+default-dev (= ${binary:Version}),
 librust-subtle-2.1+default-dev (= ${binary:Version}),
 librust-subtle-2.1.1+default-dev (= ${binary:Version})
Description: Traits and utilities for constant-time cryptography - feature "default"
 This metapackage enables feature "default" for the Rust subtle crate, by
 pulling in any additional dependencies needed by that feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.1.1 --all-targets --all-features
Features: test-name=@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.1.1 --all-targets --no-default-features
Features: test-name=librust-subtle-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.1.1 --all-targets --features default
Features: test-name=librust-subtle+default-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/subtle-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/subtle .*/crates/subtle/@ANY_VERSION@/download

## rust-subtle 2.4.1

=== debian/changelog ===
rust-subtle (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * Package subtle 2.4.1 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 01 Jun 2022 09:51:02 +0200

=== debian/control ===
Source: rust-subtle
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/subtle]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/subtle
Homepage: https://dalek.rs/
Rules-Requires-Root: no

Package: librust-subtle-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Recommends:
 librust-subtle+default-dev (= ${binary:Version})
Provides:
 librust-subtle+i128-dev (= ${binary:Version}),
 librust-subtle+nightly-dev (= ${binary:Version}),
 librust-subtle+std-dev (= ${binary:Version}),
 librust-subtle-2-dev (= ${binary:Version}),
 librust-subtle-2+i128-dev (= ${binary:Version}),
 librust-subtle-2+nightly-dev (= ${binary:Version}),
 librust-subtle-2+std-dev (= ${binary:Version}),
 librust-subtle-2.4-dev (= ${binary:Version}),
 librust-subtle-2.4+i128-dev (= ${binary:Version}),
 librust-subtle-2.4+nightly-dev (= ${binary:Version}),
 librust-subtle-2.4+std-dev (= ${binary:Version}),
 librust-subtle-2.4.1-dev (= ${binary:Version}),
 librust-subtle-2.4.1+i128-dev (= ${binary:Version}),
 librust-subtle-2.4.1+nightly-dev (= ${binary:Version}),
 librust-subtle-2.4.1+std-dev (= ${binary:Version})
Description: Traits and utilities for constant-time cryptography - Rust source code
 This package contains the source for the Rust subtle crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: librust-subtle+default-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-subtle-dev (= ${binary:Version}),
 librust-subtle+std-dev (= ${binary:Version}),
 librust-subtle+i128-dev (= ${binary:Version})
Provides:
 librust-subtle-2+default-dev (= ${binary:Version}),
 librust-subtle-2.4+default-dev (= ${binary:Version}),
 librust-subtle-2.4.1+default-dev (= ${binary:Version})
Description: Traits and utilities for constant-time cryptography - feature "default"
 This metapackage enables feature "default" for the Rust subtle crate, by
 pulling in any additional dependencies needed by that feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.4.1 --all-targets --all-features
Features: test-name=rust-subtle:@
Depends: dh-cargo (>= 18), librust-rand-0.7+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.4.1 --all-targets --no-default-features --features i128
Features: test-name=librust-subtle-dev:i128
Depends: dh-cargo (>= 18), librust-rand-0.7+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.4.1 --all-targets --no-default-features --features nightly
Features: test-name=librust-subtle-dev:nightly
Depends: dh-cargo (>= 18), librust-rand-0.7+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.4.1 --all-targets --no-default-features --features std
Features: test-name=librust-subtle-dev:std
Depends: dh-cargo (>= 18), librust-rand-0.7+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.4.1 --all-targets --no-default-features
Features: test-name=librust-subtle-dev:
Depends: dh-cargo (>= 18), librust-rand-0.7+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.4.1 --all-targets 
Features: test-name=librust-subtle+default-dev:default
Depends: dh-cargo (>= 18), librust-rand-0.7+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-subtle 2.5.0

=== debian/changelog ===
rust-subtle (2.5.0-1) unstable; urgency=medium

  * Team upload.
  * Package subtle 2.5.0 from crates.io using debcargo 2.6.1 (Closes: #1061381)

 -- Peter Michael Green <plugwash@debian.org>  Sun, 28 Jan 2024 14:39:56 +0000

=== debian/control ===
Source: rust-subtle
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/subtle]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/subtle
Homepage: https://dalek.rs/
X-Cargo-Crate: subtle
Rules-Requires-Root: no

Package: librust-subtle-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Recommends:
 librust-subtle+default-dev (= ${binary:Version})
Provides:
 librust-subtle+const-generics-dev (= ${binary:Version}),
 librust-subtle+core-hint-black-box-dev (= ${binary:Version}),
 librust-subtle+i128-dev (= ${binary:Version}),
 librust-subtle+nightly-dev (= ${binary:Version}),
 librust-subtle+std-dev (= ${binary:Version}),
 librust-subtle-2-dev (= ${binary:Version}),
 librust-subtle-2+const-generics-dev (= ${binary:Version}),
 librust-subtle-2+core-hint-black-box-dev (= ${binary:Version}),
 librust-subtle-2+i128-dev (= ${binary:Version}),
 librust-subtle-2+nightly-dev (= ${binary:Version}),
 librust-subtle-2+std-dev (= ${binary:Version}),
 librust-subtle-2.5-dev (= ${binary:Version}),
 librust-subtle-2.5+const-generics-dev (= ${binary:Version}),
 librust-subtle-2.5+core-hint-black-box-dev (= ${binary:Version}),
 librust-subtle-2.5+i128-dev (= ${binary:Version}),
 librust-subtle-2.5+nightly-dev (= ${binary:Version}),
 librust-subtle-2.5+std-dev (= ${binary:Version}),
 librust-subtle-2.5.0-dev (= ${binary:Version}),
 librust-subtle-2.5.0+const-generics-dev (= ${binary:Version}),
 librust-subtle-2.5.0+core-hint-black-box-dev (= ${binary:Version}),
 librust-subtle-2.5.0+i128-dev (= ${binary:Version}),
 librust-subtle-2.5.0+nightly-dev (= ${binary:Version}),
 librust-subtle-2.5.0+std-dev (= ${binary:Version})
Description: Traits and utilities for constant-time cryptography - Rust source code
 Source code for Debianized Rust crate "subtle"

Package: librust-subtle+default-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-subtle-dev (= ${binary:Version}),
 librust-subtle+std-dev (= ${binary:Version}),
 librust-subtle+i128-dev (= ${binary:Version})
Provides:
 librust-subtle-2+default-dev (= ${binary:Version}),
 librust-subtle-2.5+default-dev (= ${binary:Version}),
 librust-subtle-2.5.0+default-dev (= ${binary:Version})
Description: Traits and utilities for constant-time cryptography - feature "default"
 This metapackage enables feature "default" for the Rust subtle crate, by
 pulling in any additional dependencies needed by that feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.5.0 --all-targets --all-features
Features: test-name=rust-subtle:@
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.5.0 --all-targets --no-default-features --features const-generics
Features: test-name=librust-subtle-dev:const-generics
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.5.0 --all-targets --no-default-features --features core_hint_black_box
Features: test-name=librust-subtle-dev:core_hint_black_box
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.5.0 --all-targets --no-default-features --features i128
Features: test-name=librust-subtle-dev:i128
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.5.0 --all-targets --no-default-features --features nightly
Features: test-name=librust-subtle-dev:nightly
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.5.0 --all-targets --no-default-features --features std
Features: test-name=librust-subtle-dev:std
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.5.0 --all-targets --no-default-features
Features: test-name=librust-subtle-dev:
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.5.0 --all-targets
Features: test-name=librust-subtle+default-dev:default
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-subtle 2.6.1

=== debian/changelog ===
rust-subtle (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * Package subtle 2.6.1 from crates.io using debcargo 2.6.1
    (Closes: #1074392)

 -- James McCoy <jamessan@debian.org>  Tue, 30 Jul 2024 14:11:36 -0400

=== debian/control ===
--- 
+++ 
@@ -35,18 +35,18 @@
  librust-subtle-2+i128-dev (= ${binary:Version}),
  librust-subtle-2+nightly-dev (= ${binary:Version}),
  librust-subtle-2+std-dev (= ${binary:Version}),
- librust-subtle-2.5-dev (= ${binary:Version}),
- librust-subtle-2.5+const-generics-dev (= ${binary:Version}),
- librust-subtle-2.5+core-hint-black-box-dev (= ${binary:Version}),
- librust-subtle-2.5+i128-dev (= ${binary:Version}),
- librust-subtle-2.5+nightly-dev (= ${binary:Version}),
- librust-subtle-2.5+std-dev (= ${binary:Version}),
- librust-subtle-2.5.0-dev (= ${binary:Version}),
- librust-subtle-2.5.0+const-generics-dev (= ${binary:Version}),
- librust-subtle-2.5.0+core-hint-black-box-dev (= ${binary:Version}),
- librust-subtle-2.5.0+i128-dev (= ${binary:Version}),
- librust-subtle-2.5.0+nightly-dev (= ${binary:Version}),
- librust-subtle-2.5.0+std-dev (= ${binary:Version})
+ librust-subtle-2.6-dev (= ${binary:Version}),
+ librust-subtle-2.6+const-generics-dev (= ${binary:Version}),
+ librust-subtle-2.6+core-hint-black-box-dev (= ${binary:Version}),
+ librust-subtle-2.6+i128-dev (= ${binary:Version}),
+ librust-subtle-2.6+nightly-dev (= ${binary:Version}),
+ librust-subtle-2.6+std-dev (= ${binary:Version}),
+ librust-subtle-2.6.1-dev (= ${binary:Version}),
+ librust-subtle-2.6.1+const-generics-dev (= ${binary:Version}),
+ librust-subtle-2.6.1+core-hint-black-box-dev (= ${binary:Version}),
+ librust-subtle-2.6.1+i128-dev (= ${binary:Version}),
+ librust-subtle-2.6.1+nightly-dev (= ${binary:Version}),
+ librust-subtle-2.6.1+std-dev (= ${binary:Version})
 Description: Traits and utilities for constant-time cryptography - Rust source code
  Source code for Debianized Rust crate "subtle"
 
@@ -60,8 +60,8 @@
  librust-subtle+i128-dev (= ${binary:Version})
 Provides:
  librust-subtle-2+default-dev (= ${binary:Version}),
- librust-subtle-2.5+default-dev (= ${binary:Version}),
- librust-subtle-2.5.0+default-dev (= ${binary:Version})
+ librust-subtle-2.6+default-dev (= ${binary:Version}),
+ librust-subtle-2.6.1+default-dev (= ${binary:Version})
 Description: Traits and utilities for constant-time cryptography - feature "default"
  This metapackage enables feature "default" for the Rust subtle crate, by
  pulling in any additional dependencies needed by that feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.6.1 --all-targets --all-features
Features: test-name=rust-subtle:@
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.6.1 --all-targets --no-default-features --features const-generics
Features: test-name=librust-subtle-dev:const-generics
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.6.1 --all-targets --no-default-features --features core_hint_black_box
Features: test-name=librust-subtle-dev:core_hint_black_box
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.6.1 --all-targets --no-default-features --features i128
Features: test-name=librust-subtle-dev:i128
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.6.1 --all-targets --no-default-features --features nightly
Features: test-name=librust-subtle-dev:nightly
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.6.1 --all-targets --no-default-features --features std
Features: test-name=librust-subtle-dev:std
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.6.1 --all-targets --no-default-features
Features: test-name=librust-subtle-dev:
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test subtle 2.6.1 --all-targets
Features: test-name=librust-subtle+default-dev:default
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev, @
Restrictions: allow-stderr, skip-not-installable
